- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# cut_up.hxx File Reference

Cut-up algorithm. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Functions
template<class S, class T>
bool | is_cut_up (const Element< S, T > &a)
| Check if labels are series with one element.
template<class S, class T>
void | cut_up (const Element< S, T > &a, Element< S, T > &res)
| Transform an automaton labeled with series to an automaton where all labels are series with one and only one element.
template<class S, class T>
Element< S, T > | cut_up (const Element< S, T > &a)
| Transform an automaton labeled with series to an automaton where all labels are series with one and only one element.
template<class S, class T>
void | cut_up_here (Element< S, T > &a)
| Transform an automaton labeled with series to an automaton where all labels are series with one and only one element.

## Detailed Description

Cut-up algorithm.

Author:
  Louis-Noel Pouchet <louis-noel.pouchet@lrde.epita.fr>

Definition in file cut_up.hxx.